<?php
/******************************************************************************/
/* slider.php                                                                 */
/******************************************************************************/
/*  Autor          Datum       Version       Änderung                         */
/*  boigk.net      12.02.2020   0.1          Start                            */
/*  boigk.net      13.02.2020   0.2          Die Anzahl der Kanäle ist jetzt  */
/*                                           nicht mehr fix festgelegt,       */
/*                                           sondern wird durch die Konfigur- */
/*                                           artion bestimmt.                 */
/*  boigk.net      15.02.2020   0.3          Link auf Konfiguration der Fader */
/*                                           eingefügt.                       */
/******************************************************************************/
?>

<html>
<head>
	
    <title>Konfiguration Ändern</title>

<link rel="stylesheet" href="css/Menu.css" type="text/css">
<link rel="stylesheet" href="css/Slider.css" type="text/css">
<link rel="stylesheet" href="css/Knopf.css" type="text/css">


<script>
  'use strict'
  function WriteSingleDMXValue(wert,kanal){
  var phpzugriff = new XMLHttpRequest();
  phpzugriff.open("GET","EinzelWert.php?wert=" + wert + "&kanal=" + kanal ,wert);
  phpzugriff.send();
  }

</script>



</head>
  <body>
 <div class="dropdown">
  <button class="dropmenu">Menü</button>
  <div class="dropdown-content">
    <a href="index.php">Konfiguration Laden</a>
    <a href="slider.php">Konfiguration Ändern</a>
    <a href="Fehler.php">Fehler Log</a>
  </div>
</div> 


<div class="dropdown WerteSichern">
  <button class="dropmenu">Speichern als...</button>
  <div class="dropdown-content">
<form action="KonfigurationSpeichern.php" method="post">
<button type="submit" name="KonfigNummer" value="1" class="Knopf schwarz1"> Speichern als Konfig 1</button>
<button type="submit" name="KonfigNummer" value="2" class="Knopf schwarz2"> Speichern als Konfig 2</button>
<button type="submit" name="KonfigNummer" value="3" class="Knopf schwarz1"> Speichern als Konfig 3</button>
<button type="submit" name="KonfigNummer" value="4" class="Knopf schwarz2"> Speichern als Konfig 4</button>
<button type="submit" name="KonfigNummer" value="5" class="Knopf schwarz1"> Speichern als Konfig 5</button>
<button type="submit" name="KonfigNummer" value="6" class="Knopf schwarz2"> Speichern als Konfig 6</button>
<button type="submit" name="KonfigNummer" value="7" class="Knopf schwarz1"> Speichern als Konfig 7</button>
<button type="submit" name="KonfigNummer" value="8" class="Knopf schwarz2"> Speichern als Konfig 8</button>
<!--<button type="submit" name="KonfigNummer" value="9" class="Knopf schwarz1"> Speichern als Konfig 9</button>-->
</form>
  </div>
</div> 

<?php

  //***************************************************
  //Einlesen Der Kanal Konfiguration
  //***************************************************
  $LeseDatei = fopen('Config/ScheinwerferConfig.cfg',r);
 
  $AnzahlZeilen = count(file('Config/ScheinwerferConfig.cfg'));
  for($i=0;$i<$AnzahlZeilen;$i++)
  {
    $ConfigArray[$i] = fgets($LeseDatei);
    //1. Wert ist die Kanalnummer
    //2. Wert ist die Farbe
    //3. Wert ist der angezeigte Name
    $KanalEigenschaften = explode(":",$ConfigArray[$i]);
    //Entferne Zeilenumbruch im Namen
    $KanalEigenschaften[2] = str_replace("\n", "",$KanalEigenschaften[2]);
    $KanalName[$i] = $KanalEigenschaften[2];
    $KanalFarbe[$i]= $KanalEigenschaften[1];
    $KanalNummer[$i]=$KanalEigenschaften[0];
  }

  //***************************************************
  //Erzeugen der Datei mit den aktuellen Kanalwerten
  //***************************************************
  //!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  // Relative Pfade funktionieren nicht. Wie kann das
  // gelöst werden?
  //!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  echo system('./Einlesen_Konverter');

  //***************************************************
  //Einlesen der aktuellen Kanalwerte
  //***************************************************
  //Array für Eingelesene Werte erzeugen
  //Die Daten starten ab Position 5
  $Wert[]= count(file('Config/KLDaten.dmp'));
  $Wert = file('Config/KLDaten.dmp');

  for($i=0;$i<$AnzahlZeilen;$i++)
  {
    //Die Werte Starten ab dem 5. Wert. Die Kanäle fangen aber bei 1 und nicht
    //bei 0 an. Deshalb ein Offset von 4.
    $Wert[$KanalNummer[$i]+4] = str_replace("\n", "",$Wert[$KanalNummer[$i]+4]);

    echo("<input type=\"range\" class=\"slider ");

    //***************************************************
    //Einfügen der Farbe
    //***************************************************
    echo $KanalFarbe[$i];

    echo ("\" name=\"Pegel1\" min=\"0\" max=\"255\" step=\"1.0\" ");
    echo("value=\"");
    echo $Wert[$KanalNummer[$i]+4];
    echo ("\" onchange=\"WriteSingleDMXValue(this.value,");
    echo $KanalNummer[$i]-1;
    echo(")\"> <label><b>Kanal ");
    echo $KanalNummer[$i];
    echo (":</b> ");
    echo $KanalName[$i];
    echo ("</label>");
    echo '<br><hr>';
    echo "\n";
  }


?>

<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
<form action="KanalKonfiguration.php" method="post">
<button type="submit" name="KanalAnpassen" value="0" class="Knopf rot"> Kanäle Hinzufügen / Entfernen</button>
</form>

 </body>
</html>
